Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class SANSystemDefinition

    java.lang.Object
      com.ibm.able.examples.rules.SANSystemDefinition

All Implemented Interfaces:
  java.io.Serializable

public class SANSystemDefinition
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected double` | `allocation`
`protected java.lang.Integer` | `id`
`protected java.lang.String` | `lastAction`
`protected java.lang.String` | `lastRecommendation`
`protected java.lang.String` | `name`
`protected java.lang.String` | `QoS`
`protected double` | `utilization`

Constructor Summary
`SANSystemDefinition()`

Method Summary
`double` | `getAllocation()`
`java.lang.String` | `getLastAction()`
`java.lang.String` | `getLastRecommendation()`
`java.lang.String` | `getName()`
`java.lang.String` | `getQoS()`
`java.lang.Integer` | `getSystemId()`
`double` | `getUtilization()`
`void` | `setAllocation(double val)`
`void` | `setLastAction(java.lang.String val)`
`void` | `setLastRecommendation(java.lang.String val)`
`void` | `setQoS(java.lang.String val)`
`void` | `setSystemId(java.lang.Integer theId)`
`void` | `setUtilization(double val)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### id

    protected java.lang.Integer id

### QoS

    protected java.lang.String QoS

### allocation

    protected double allocation

### utilization

    protected double utilization

### lastRecommendation

    protected java.lang.String lastRecommendation

### lastAction

    protected java.lang.String lastAction

Constructor Detail

### SANSystemDefinition

    public SANSystemDefinition()

Method Detail

### getName

    public java.lang.String getName()

### setSystemId

    public void setSystemId(java.lang.Integer theId)

### getSystemId

    public java.lang.Integer getSystemId()

### getQoS

    public java.lang.String getQoS()

### setQoS

    public void setQoS(java.lang.String val)

### getAllocation

    public double getAllocation()

### setAllocation

    public void setAllocation(double val)

### getUtilization

    public double getUtilization()

### setUtilization

    public void setUtilization(double val)

### getLastRecommendation

    public java.lang.String getLastRecommendation()

### setLastRecommendation

    public void setLastRecommendation(java.lang.String val)

### getLastAction

    public java.lang.String getLastAction()

### setLastAction

    public void setLastAction(java.lang.String val)

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005